GET /data/tasks/{task_id}/comments

Return comments linked to a task.

Path parameters

  • task_id string(uuid) Required

Responses

  • 200 application/json

    Comments linked to task

    Hide response attributes Show response attributes object
    • id string(uuid)
    • object_id string(uuid)
    • person_id string(uuid)
    • text string
    • created_at string(date-time)
    • updated_at string(date-time)
GET /data/tasks/{task_id}/comments
curl -X GET "http://api.example.com/data/tasks/a24a6ea4-ce75-4665-a070-57453082c25/comments" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/tasks/a24a6ea4-ce75-4665-a070-57453082c25/comments"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/tasks/a24a6ea4-ce75-4665-a070-57453082c25/comments' \
 --header "Authorization: $API_KEY"
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "object_id": "b24a6ea4-ce75-4665-a070-57453082c25",
    "person_id": "c24a6ea4-ce75-4665-a070-57453082c25",
    "text": "This task is progressing well",
    "created_at": "2024-01-15T10:30:00Z",
    "updated_at": "2024-01-15T11:00:00Z"
  }
]